function p = set_arfmodel(m,sigma,niter)
%sets the ARF model by a matrix m that contains all filters and coefficients
p.dims=[5,5];
p.alpha=m(:,25);
m1=m(:,1:24)';
a=-sum(m1);
m(:,25)=a';
p.J=m(:,end:-1:1)';
p.basis='';
p.niter=niter;
p.sigma=sigma;
